## ros-lunar-moveit-ros-move-group 0.9.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(moveit_ros_move_group)

add_compile_options(-std=c++11)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED system filesystem date_time program_options signals thread)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  actionlib
  roscpp
  pluginlib
  std_srvs
  tf
)

catkin_package(
  LIBRARIES
    moveit_move_group_capabilities_base
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    moveit_core
    moveit_ros_planning
)

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS})

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_library(moveit_move_group_capabilities_base
  src/move_group_context.cpp
  src/move_group_capability.cpp
  )
set_target_properties(moveit_move_group_capabilities_base PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
add_dependencies(moveit_move_group_capabilities_base ${catkin_EXPORTED_TARGETS}) # wait until all *_msgs packages are finished being built

add_executable(move_group src/move_group.cpp)

add_executable(list_move_group_capabilities src/list_capabilities.cpp)

add_library(moveit_move_group_default_capabilities
  src/default_capabilities/move_action_capability.cpp
  src/default_capabilities/plan_service_capability.cpp
  src/default_capabilities/execute_trajectory_service_capability.cpp
  src/default_capabilities/execute_trajectory_action_capability.cpp
  src/default_capabilities/query_planners_service_capability.cpp
  src/default_capabilities/kinematics_service_capability.cpp
  src/default_capabilities/state_validation_service_capability.cpp
  src/default_capabilities/cartesian_path_service_capability.cpp
  src/default_capabilities/get_planning_scene_service_capability.cpp
  src/default_capabilities/apply_planning_scene_service_capability.cpp
  src/default_capabilities/clear_octomap_service_capability.cpp
  )
set_target_properties(moveit_move_group_default_capabilities PROPERTIES VERSION ${${PROJECT_NAME}_VERSION})
add_dependencies(moveit_move_group_default_capabilities ${catkin_EXPORTED_TARGETS})

target_link_libraries(moveit_move_group_capabilities_base ${catkin_LIBRARIES} ${Boost_LIBRARIES})
target_link_libraries(move_group moveit_move_group_capabilities_base ${catkin_LIBRARIES} ${Boost_LIBRARIES})
target_link_libraries(moveit_move_group_default_capabilities moveit_move_group_capabilities_base ${catkin_LIBRARIES} ${Boost_LIBRARIES})
target_link_libraries(list_move_group_capabilities ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS move_group list_move_group_capabilities moveit_move_group_capabilities_base moveit_move_group_default_capabilities
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION include)

install(PROGRAMS
  scripts/load_map scripts/save_map DESTINATION
  ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
  default_capabilities_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  # this test is flaky
  # add_rostest(test/test_cancel_before_plan_execution.test)
endif()

=== debian/changelog ===
ros-lunar-moveit-ros-move-group (0.9.12-1xenial) xenial; urgency=high

  * disable waitForCurrentRobotState() for PlanService capability (#923 <https://github.com/ros-planning/moveit/issues/923>), fixing (#868 <https://github.com/ros-planning/moveit/issues/868>)
  * Remove deprecated ExecuteTrajectoryServiceCapability (#833 <https://github.com/ros-planning/moveit/issues/833>)
  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * Add namespace capabilities to moveit_commander (#835 <https://github.com/ros-planning/moveit/issues/835>)
  * [fix] MoveAction capability can drop cancel request if it is sent shortly after goal is sent (#756 <https://github.com/ros-planning/moveit/issues/756>)
  * Contributors: Dave Coleman, Ian McMahon, Mikael Arguedas, Robert Haschke, Will Baker

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 28 May 2018 22:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.11-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.10-1xenial) xenial; urgency=high

  * [fix] always return true in MoveGroupPlanService callback #674 <https://github.com/ros-planning/moveit/pull/674>
  * [improve] adding swp's to gitignore and removing redundant capabilites from capability_names.h (#704 <https://github.com/ros-planning/moveit/issues/704>)
  * Contributors: Mike Lautman, Shingo Kitagawa

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.9-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.8-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.7-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.6-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.5-1xenial) xenial; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar, Dave Coleman

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.4-1xenial) xenial; urgency=high

  * [fix] race conditions when updating PlanningScene (#350 <https://github.com/ros-planning/moveit/issues/350>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.3-1xenial) xenial; urgency=high

  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.9.2-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 04 Nov 2016 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.6.6-1xenial) xenial; urgency=high

  * added missing validity check
    iterator found with configs.find() needs to be validated before use...
  * Removed trailing whitespace from entire repository
  * moved planner params services into existing capability QueryPlannerInterfaces
  * capability plugin MoveGroupPlannerParamsService to get/set planner params
  * Fixed bug(?) in move_group::MoveGroupKinematicsService::computeIK link name selection.
  * Contributors: Dave Coleman, Mihai Pomarlan, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-lunar-moveit-ros-move-group (0.6.5-1xenial) xenial; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 23 Jan 2015 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.6.4-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 19 Dec 2014 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.6.3-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.6.2-1xenial) xenial; urgency=high

  * Merge pull request #522 <https://github.com/ros-planning/moveit_ros/issues/522> from mikeferguson/indigo-devel
    add dependency on std_srvs (part of octomap clearing service)
  * Contributors: Ioan A Sucan, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.6.1-1xenial) xenial; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.6.0-1xenial) xenial; urgency=high

  * Added move_group capability for clearing octomap.
  * Contributors: Dave Hershberger, Sachin Chitta

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Oct 2014 23:00:00 -0000

ros-lunar-moveit-ros-move-group (0.5.19-1xenial) xenial; urgency=high

  * Address [cppcheck: duplicateIf] error.
    The same condition was being checked twice, and the same action was being taken.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 22 Jun 2014 22:00:00 -0000

ros-lunar-moveit-ros-move-group (0.5.18-1xenial) xenial; urgency=high





=== debian/control ===
Source: ros-lunar-moveit-ros-move-group
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-catkin, ros-lunar-moveit-core, ros-lunar-moveit-resources, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib, ros-lunar-rostest, ros-lunar-std-srvs, ros-lunar-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-lunar-moveit-ros-move-group
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-moveit-core, ros-lunar-moveit-kinematics, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib, ros-lunar-std-srvs, ros-lunar-tf
Description: The move_group node for MoveIt
